struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton" <niall.pember...@gmail.com>
Subject Re: Struts 1.2 validation not working!
Date Wed, 04 Apr 2007 13:34:33 GMT
On 4/4/07, davout <davout@dsl.pipex.com> wrote:
>
> I downloaded Struts r1.2.4.  The r1.2.4 'validator-rules.xml' file is exactly
> the same as the file in my project.

The stack trace says that this is not true - I can re-create your
exact error by dropping the validator-rules.xml from Struts 1.2.7 into
the struts-examples webapp shipped with Struts 1.2.4. The "telltale"
is the fact that your stack trace shows
"org.apache.commons.validator.Validator" as a parameter - that was
added to Strut's validateRequired() method in the FieldChecks class in
Struts 1.2.7.

> The attached screenshot is a snapshot from the file compare utility.
> http://www.nabble.com/file/7647/struts.zip struts.zip
>
> What next?

Go check again that your looking at the right validator-rules.xml file
- maybe you have more than one copy around or your deploying a
different one.

Niall

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message